org.apache.solr.handler.extraction

## Class ParseContextConfig

- java.lang.Object
- - org.apache.solr.handler.extraction.ParseContextConfig

-     public class ParseContextConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseContextConfig()` Creates an empty Config without any settings (used as placeholder).
    `ParseContextConfig(SolrResourceLoader resourceLoader, Element element)` Creates a `ParseContextConfig` from the given XML DOM element.
    `ParseContextConfig(SolrResourceLoader resourceLoader, String parseContextConfigLoc)` Creates a `ParseContextConfig` from the given XML file, loaded from the given `SolrResourceLoader`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tika.parser.ParseContext` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseContextConfig

          public ParseContextConfig()

      Creates an empty Config without any settings (used as placeholder).

    - #### ParseContextConfig

          public ParseContextConfig(SolrResourceLoader resourceLoader,
                                    Element element)
                             throws Exception

      Creates a `ParseContextConfig` from the given XML DOM element.
      Throws:
        `Exception`

    - #### ParseContextConfig

          public ParseContextConfig(SolrResourceLoader resourceLoader,
                                    String parseContextConfigLoc)
                             throws Exception

      Creates a `ParseContextConfig` from the given XML file, loaded from the given `SolrResourceLoader`.
      Throws:
        `Exception`

  - ### Method Detail

    - #### create

          public org.apache.tika.parser.ParseContext create()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.